FROM node:21.5.0

RUN mkdir /smarthome
WORKDIR /smarthome

# RUN npm install -g forever
RUN npm install -g nodemon

COPY package.json /smarthome
RUN npm install

COPY . /smarthome

EXPOSE 9095

# CMD ["forever","app.js", "9095"]
CMD ["nodemon","app.js", "9095"]